/*

G.H  Interface to graphics assembler routines

(C) 22/6/91  A.Key

*/

extern BOOLEAN pascal g_init(void);
extern void pascal g_deinit(void);

extern void pascal g_s_print(char *, int, int, int);

extern void pascal g_s_plot(int, int, int);
extern void pascal g_s_line(int, int, int, int, int);
extern void pascal g_s_unline(int, int, int, int, int, int);
extern void pascal g_s_diag_vert(int, int, int, int, int, int);
extern void pascal g_s_vert_diag(int, int, int, int, int, int);
extern void pascal g_s_rect(int, int, int, int, int);
extern void pascal g_s_tri(int, int, int, int, int, int, int);

extern void pascal g_s_update(int);
extern void pascal g_s_clear(int);
extern void pascal g_s_copy(int, int);

extern void pascal g_l_plot(int, int, int, int);
extern void pascal g_l_line(int, int, int, int, int, int);
extern void pascal g_l_diag_vert(int, int, int, int, int, int, int);
extern void pascal g_l_vert_diag(int, int, int, int, int, int, int);
extern void pascal g_l_rect(int, int, int, int, int, int);

extern void pascal g_clear_log(void);

extern void pascal g_clear_spr(void);

extern void pascal g_precalc(int, int, int, int, int);
extern void pascal g_sprites(void);
extern void pascal g_unsprite(int, int, int, int);
extern void pascal g_refresh(int);

extern void pascal g_sync(void);
